"use strict";
const common_vendor = require("../../common/vendor.js");
const ME_knowledge_qa_model = require("./model.js");
const ME_knowledge_qa_method = require("./method.js");
require("../../common/libraries/request.js");
require("../../common/store/useWeAppAuthStore.js");
require("../../gen/Apis.js");
require("../../common/store/useWatermarkStore.js");
require("../../common/store/useWorkStore.js");
require("../../common/libraries/apiLoading.js");
if (!Array) {
  const _easycom_hs_tabs2 = common_vendor.resolveComponent("hs-tabs");
  const _easycom_uni_icons2 = common_vendor.resolveComponent("uni-icons");
  (_easycom_hs_tabs2 + _easycom_uni_icons2)();
}
const _easycom_hs_tabs = () => "../../components/hs-tabs/hs-tabs.js";
const _easycom_uni_icons = () => "../../uni_modules/uni-icons/components/uni-icons/uni-icons.js";
if (!Math) {
  (_easycom_hs_tabs + _easycom_uni_icons)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    const tablist = [
      { label: "住户服务类", value: "1" },
      { label: "工单处理类", value: "2" },
      { label: "催缴费用类", value: "3" }
    ];
    return (_ctx, _cache) => {
      var _a, _b, _c;
      return {
        a: common_vendor.o((_a = common_vendor.unref(ME_knowledge_qa_method.method)) == null ? void 0 : _a.handleChangeTabs),
        b: common_vendor.p({
          list: tablist,
          current: (_c = (_b = common_vendor.unref(ME_knowledge_qa_model.useModel)) == null ? void 0 : _b.currentTabs) == null ? void 0 : _c.value
        }),
        c: common_vendor.p({
          type: "arrow-right",
          size: "13",
          color: "#0082FA"
        }),
        d: common_vendor.o(
          //@ts-ignore
          (...args) => {
            var _a2, _b2;
            return ((_a2 = common_vendor.unref(ME_knowledge_qa_method.method)) == null ? void 0 : _a2.handleShowDetail) && ((_b2 = common_vendor.unref(ME_knowledge_qa_method.method)) == null ? void 0 : _b2.handleShowDetail(...args));
          }
        ),
        e: common_vendor.p({
          type: "arrow-right",
          size: "13",
          color: "#0082FA"
        }),
        f: common_vendor.o(
          //@ts-ignore
          (...args) => {
            var _a2, _b2;
            return ((_a2 = common_vendor.unref(ME_knowledge_qa_method.method)) == null ? void 0 : _a2.handleShowDetail) && ((_b2 = common_vendor.unref(ME_knowledge_qa_method.method)) == null ? void 0 : _b2.handleShowDetail(...args));
          }
        )
      };
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/zsq/Sources/github/2025property-pay/pay-employee/src/ME/knowledge_qa/index.vue"]]);
wx.createPage(MiniProgramPage);
